#import "Detector.h"

@implementation Detector

//--------------------------
+create: aZone name: (const char*) str
{
	Detector *obj = [super createBegin: aZone];
	obj->name = [String create: aZone setC: str];
	obj->count = 0;
	return [obj createEnd];
}

//--------------------------
-(const char*)getName
{
	return [name getC];
}

-(double)getFlow
{
	return ((float)count)/(getCurrentTime()+1);
}

-(void)trigger
{
	++count;
}

-(void)drop
{
	[name drop];
	[super drop];
}

@end
