// 04-Jan-00: adapted from:
// Template application. Copyright  1996-1999 Santa Fe Institute.
// This library is distributed without any warranty; without even the
// implied warranty of merchantability or fitness for a particular purpose.
// See file LICENSE for details and terms of copying.

#import <simtools.h> // initSwarm
#import "NaSchSingleDemoSwarm.h"

int
main (int argc, const char **argv)
{
  NaSchSingleDemoSwarm *observerSwarm;

  initSwarm (argc, argv);

  observerSwarm = [NaSchSingleDemoSwarm create: globalZone];
  [observerSwarm buildObjects];
  [observerSwarm buildActions];
  [observerSwarm activateIn: nil];
  [observerSwarm go];

  return 0;
}
