#import <simtoolsgui/GUISwarm.h>
#import <analysis.h>
#import <space.h>

@interface NaSchSingleDemoSwarm : GUISwarm
{
	id displayActions;
	id displaySchedule;

	id <List> observedHighways;
	int vmax, nHighways, highwayLen;
	float pDecel, minCarDensity, maxCarDensity;

	id myCanvas, anGraph;

	id <Grid2d> world;
	id <ZoomRaster> worldRaster;			// 2d display widget
	id <Object2dDisplay> agentDisplay;
	id <Colormap> colormap;	            	// allocate colours
	id <FunctionGraph> detectorGraph;			// graphing widget
}

+ createBegin: aZone;
- createEnd;
- buildObjects;
- buildActions;
- activateIn: swarmContext;

@end
