#import "SingleCar.h"
#import <space.h>

@implementation SingleCar
//----------------------
+createBegin: aZone
{
	return [super createBegin: aZone];
}

-createEnd
{
	return [super createEnd];
}

//----------------------
-(void)setWorld: aWorld
{
	myWorld = aWorld;
	myWorldSize = [myWorld getSizeX];
}

-setX: (int) anX Y: (int) anY
{
	myX = anX;
	myY = anY;
	return self;
}

-(void)setV: (int) vel
{
	myV = vel;
}

-(void)setVMax: (int) vmax pDecel: (float) p
{
	myVMax = vmax;
	myPDecel = p;
}

-(void)setDetector: aDetector atX: (int) anX
{
	myDetector = aDetector;
	myDetX = anX;
}

//---------------------
- drawSelfOn: (id <Raster>)r
{
  [r drawPointX: myX Y: myY Color: myColor];

  return self;
}


