#import "SingleHighway.h"

@implementation SingleHighway

//----------------------------
+ createBegin: aZone
{
	SingleHighway *obj = [super createBegin: aZone];
	obj->myCars = [List create: aZone];
	return obj;
}

- createEnd
{
	return [super createEnd];
}

//----------------------------
- (void)createAction: action forEachCar: (SEL)message
{
  id call =
    [FCall create: self
           target: [myCars getFirst]
           selector: message
           arguments:
             [[[FArguments createBegin: self]
                setSelector: message]
               createEnd]];
  
  [action createFActionForEachHomogeneous: myCars call: call];
}

- activateIn: swarmContext
{
	[mySchedule activateIn: swarmContext];
	return self;
}

-(void)setDensity: (float) c vMax: (int) vm P: (float) p
{
	myDensity = c;
	myVMax = vm;
	myP = p;
}

-(void)setWorld: aWorld
{
	world = aWorld;
}

-(void)setY: (int) anY size: (int) aSize
{
	myY = anY;
	mySize = aSize;
}

-(void)setDetector: aDetector
{
	myDetector = aDetector;
}

