// SingleCar - super class for all single lane cars

#import <objectbase/SwarmObject.h>
#import <tkobjc/Raster.h>

@interface SingleCar: SwarmObject
{
@protected
	int myX, myY, myV, myVMax;
	float myPDecel;
	id myWorld, myDetector;
	int myWorldSize, myDetX, myColor;
}

+createBegin: aZone;
-createEnd;

-(void)setWorld: aWorld;
-setX: (int) anX Y: (int) anY;
-(void)setV: (int) vel;
-(void)setVMax: (int) vmax pDecel: (float) p;
-(void)setDetector: aDetector atX: (int) anX;

-drawSelfOn: (id <Raster>) r;

@end
