#import <objectbase/Swarm.h>
#import <space.h>

@interface SingleHighway : Swarm
{
	int mySize, myY, myVMax;
	id <List> myCars;
	id <Discrete2d> world;
	float myDensity, myP;

	id mySchedule, myDetector;
}

+ createBegin: aZone;
- createEnd;
-(void)createAction: action forEachCar: (SEL) message;
- activateIn: swarmContext;

-(void)setDensity: (float) c vMax: (int) vm P: (float) p;
-(void)setWorld: aWorld;
-(void)setY: (int) anY size: (int) aSize;
-(void)setDetector: aDetector;

@end
